///////////////////////////////////////////////////////////////////////////////
//
//	PRIMES -- find prime numbers
//	One more sample program for the BSL compiler
//

#include( blib.hdr)

// Number of primes to find
//
value	MAX = 2500;

// Print a padded decimal number usinmg WRITEPACKED()
//
writen(n) {
	var	buf.16, i = 0, j, k, t;

	while (n) {
		buf.i = n%10+'0';
		i += 1;
		n /= 10;
	}
	while (i<8) {
		buf.i = '\s'; i += 1;
	}
	buf.i = 0;
	k =  i/2;
	i -= 1;
	for (j=0, k) {
		t = buf.j;
		buf.j = buf.(i-j);
		buf.(i-j) = t;
	}
	i = pack(buf, buf);
	writepacked(SYSOUT, buf, i);
}

// Find prime numbers using the sieve algorithm
//
start() {
	var	primes.MAX;
	var	i, j, top, ok;

	primes.0 = 2;
	top = 1;
	i = 3;
	while (top U< MAX) {
		ok = 1;
		for (j=0, top)
			if (!(i%primes.j)) {
				ok = 0;
				break;
			}
		if (ok) {
			writen(i);
			primes.top = i;
			top += 1;
		}
		i += 2;
	}
}
