///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	STRFMT ( BUFFER, FORMAT, ARGS ... )
//
//	PURPOSE:	String formatting.
//	RECEIVES:	BUFFER	- where to place the formatted string.
//			FORMAT	- the description of the desired format.
//			ARGS	- a variable number of arguments holding
//				the objects to be formatted.
//	RETURNS:	A pointer to BUFFER.
//
//	DESCRIPTION:	see VFORMAT().
//

#include( blib.hdr)
#include( ../opt.hdr)

extern	vformat;

public strfmt(buffer, format, args) {
	return vformat(buffer, format, @args);
}
