/*
 *	The BSL Compiler Kit
 *	A Portable BSL-Compiler, C-Version
 *	Copyright (C) 1995 Nils M. Holm
 *
 *	ERROR IDENTIFIERS AND CLASSES
 *
 *	For a description of the error codes, see ERROR.C
 */

/* ERROR CLASSES */
#define WARNING	'W'
#define ERROR	'E'
#define SEVERE	'S'
#define FATAL	'F'

/* WARNINGS */
#define ESHAD	200
#define ESTKOVF	201
#define EUNREFD	202
#define EOVFL	203

/* ERRORS, AND SEVERE ERRORS */
#define ETERM	300
#define ELVAL	301
#define ESYN	302
#define EDECL	303
#define EDIV	304
#define EDGLOB	305
#define EDLOCL	306
#define EUDECL	307
#define ESIZE	308
#define EINIT	309
#define EBREAK	310
#define EDCASE	311
#define EXADDR	312
#define EAADDR	313

/* FATAL ERRORS */
#define EMEM	900
#define EIO	901
#define EINPUT	902
#define EOUTPUT	903
#define ESCAN	904
#define ETOKL	905
#define ENODES	906
#define ENYI	907
#define ELABEL	908
#define ESYMENT	909
#define EDSOVF	910
#define ETBLL	911
#define ENCASE	912
#define ENFORW	913

#define ECOMP	999
