//	"Hello, World" directly thru __SYS
//
//	Of course, this code is i8086-specific.

options "+O";

value	_BPW_ = 2;

structure R {
	ax, bx, cx, dx, si, di, bp, sp,
	flags,
	cs, ds, es, ss
};

extern	__SYS;

pack(s) {
	static var	buf.80, i = 0;

	while (1) {
		buf.i = .s | .(s+1) << 8;
		i += 1;
		if (!(.s) || !(.(s+1))) break;
		s += 2;
	}
	buf.i = 0;
	return buf;
}


start() {
	var	regs.R;

	regs.AX = 0x0900;
	regs.DX = pack("Hello, World!\n\r$") * _BPW_;
	__SYS(0x21, regs);
	return 0;
}
