///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	STRCAT ( DEST, SOURCE )
//
//	PURPOSE:	Concatenate two null-terminated strings.
//	RECEIVES:	DEST	- String to append to.
//			SOURCE	- String to be appended.
//	RETURNS:	-
//

#include( blib.hdr)
#include( ../opt.hdr)

public strcat(dest, source) {
	while (.dest) dest += 1;
	while (.dest = .source) {
		dest += 1;
		source += 1;
	}
}
