///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	STRSCAN ( BUFFER, FORMAT, ARGS ... )
//
//	PURPOSE:	Extract fields from a string.
//	RECEIVES:	BUFFER	- buffer to extract from.
//			FORMAT	- the description of the input fields.
//			ARGS	- a variable number of arguments which
//				point to variables to which the extracted
//				objects will be assigned to.
//	RETURNS:	The number of fields actually extracted.
//
//	DESCRIPTION:	see VSCAN().
//

#include( blib.hdr)
#include( ../opt.hdr)

extern	vscan;

public strscan(buffer, format, args) {
	return vscan(buffer, format, @args);
}
