///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	TOLOWER ( CHAR )
//
//	PURPOSE:	Convert a character to lower case.
//	RECEIVES:	CHAR	- Character to lowcase.
//	RETURNS:	The corresponding lower case character.
//
//	NOTES:		This function works only on machines using
//			the ASCII character set.
//

#include( blib.hdr)
#include( ../opt.hdr)

public tolower(char) return ('A' <= char && char <= 'Z')->
			char+('a'-'A'), char;
