///////////////////////////////////////////////////////////////////////////////
//
//	The BSL Compiler Kit
//	BSL Runtime Library: String Functions
//	Copyright (C) 1995 Nils M. Holm
//
//	TOUPPER ( CHAR )
//
//	PURPOSE:	Convert a character to upper case.
//	RECEIVES:	CHAR	- Character to upcase.
//	RETURNS:	The corresponding upper case character.
//
//	NOTES:		This function works only on machines using
//			the ASCII character set.
//

#include( blib.hdr)
#include( ../opt.hdr)

public toupper(char) return ('a' <= char && char <= 'z')->
			char-('a'-'A'), char;
