#
#	Recompile the tools using the BCODE resolver. This results
#	in remarkably smaller executables.
#
#	NOTE: This makefile overwrites BSL.EXE. This may cause a
#	sharing violation (like ''text file busy'' under Unix).
#	To avoid this, move BSL.EXE to another place, and change
#	the below BSL macro.
#

BSL	=	.\bsl.exe
BSLFLAGS=	-f

all:		bsl.exe bcr.exe bslpp.exe ndxgen.exe

ndxgen.exe:	makefile.pro
		$(BSL) $(BSLFLAGS) ndxgen.bsl

bcr.exe:	makefile.pro
		$(BSL) $(BSLFLAGS) bcr.bsl

bslpp.exe:	makefile.pro
		$(BSL) $(BSLFLAGS) bslpp.bsl

bsl.exe:	makefile.pro
		$(BSL) $(BSLFLAGS) bsl.bsl
